Index: plugins/ilo2_ribcl/Makefile.am
===================================================================
--- plugins/ilo2_ribcl/Makefile.am.orig	2008-04-03 15:01:25.000000000 +0200
+++ plugins/ilo2_ribcl/Makefile.am	2008-04-03 15:03:54.357501456 +0200
@@ -61,5 +61,5 @@ libilo2_ribcl_la_SOURCES  =	\
 				ilo2_ribcl_cmnds.h
 
 libilo2_ribcl_la_LIBADD   = @SSL_LIB@ @XML2_LIB@ -luuid $(top_builddir)/utils/libopenhpiutils.la
-libilo2_ribcl_la_LDFLAGS  = -module -version-info @HPI_LIB_VERSION@
+libilo2_ribcl_la_LDFLAGS  = -module -avoid-version
 
Index: plugins/ipmi/Makefile.am
===================================================================
--- plugins/ipmi/Makefile.am.orig	2008-03-04 22:04:13.000000000 +0100
+++ plugins/ipmi/Makefile.am	2008-04-03 15:04:13.950678324 +0200
@@ -69,4 +69,4 @@ libipmi_la_SOURCES	= ipmi.c 		\
 			  
 libipmi_la_LIBADD	= $(top_builddir)/utils/libopenhpiutils.la -luuid -lncurses -lOpenIPMI -lOpenIPMIposix @OPENIPMI_LIBS@
 #libipmi_la_LDFLAGS	= -module -version-info @HPI_LIB_VERSION@ -export-symbols $(srcdir)/ipmi.sym
-libipmi_la_LDFLAGS	= -module -version-info @HPI_LIB_VERSION@ -export-dymanic $(srcdir)/ipmi.sym
+libipmi_la_LDFLAGS	= -module -avoid-version -export-dymanic $(srcdir)/ipmi.sym
Index: plugins/ipmidirect/Makefile.am
===================================================================
--- plugins/ipmidirect/Makefile.am.orig	2008-03-04 22:04:07.000000000 +0100
+++ plugins/ipmidirect/Makefile.am	2008-04-03 15:04:20.295059400 +0200
@@ -119,7 +119,7 @@ libipmidirect_la_SOURCES= \
 		thread.cpp
 
 libipmidirect_la_LIBADD	= @SSL_LIB@ -luuid -lm -lstdc++ $(top_builddir)/utils/libopenhpiutils.la
-libipmidirect_la_LDFLAGS= -module -version-info @HPI_LIB_VERSION@
+libipmidirect_la_LDFLAGS= -module -avoid-version
 
 clean-local:
 	rm -f *~
Index: plugins/rtas/Makefile.am
===================================================================
--- plugins/rtas/Makefile.am.orig	2008-03-04 22:04:10.000000000 +0100
+++ plugins/rtas/Makefile.am	2008-04-03 15:04:27.651501266 +0200
@@ -38,5 +38,5 @@ librtas2hpi_la_SOURCES	=  rtas.c \
 			   rtas_watchdog.c
 			   
 librtas2hpi_la_LIBADD	= -luuid -lrtas -lrtasevent $(top_builddir)/utils/libopenhpiutils.la
-librtas2hpi_la_LDFLAGS	= -module -version-info @HPI_LIB_VERSION@
+librtas2hpi_la_LDFLAGS	= -module -avoid-version
 
Index: plugins/simulator/Makefile.am
===================================================================
--- plugins/simulator/Makefile.am.orig	2008-03-04 22:03:27.000000000 +0100
+++ plugins/simulator/Makefile.am	2008-04-03 15:04:33.527854231 +0200
@@ -43,4 +43,4 @@ libsimulator_la_SOURCES	= sim_init.c sim
 			  sim_hotswap.c sim_hotswap.h \
 			  sim_reset.c sim_reset.h
 
-libsimulator_la_LDFLAGS	= -module -version-info @HPI_LIB_VERSION@
+libsimulator_la_LDFLAGS	= -module -avoid-version
Index: plugins/snmp_bc/Makefile.am
===================================================================
--- plugins/snmp_bc/Makefile.am.orig	2008-03-04 22:03:59.000000000 +0100
+++ plugins/snmp_bc/Makefile.am	2008-04-03 15:04:41.160312675 +0200
@@ -82,7 +82,7 @@ libsnmp_bc_la_SOURCES = \
 nodist_libsnmp_bc_la_SOURCES = $(GENERATED_EVENT_CODE)
 
 libsnmp_bc_la_LIBADD = -luuid @SNMPLIBS@ $(SNMPUTILBDIR)/libopenhpi_snmp.la $(top_builddir)/utils/libopenhpiutils.la
-libsnmp_bc_la_LDFLAGS = -module -version-info @HPI_LIB_VERSION@
+libsnmp_bc_la_LDFLAGS = -module -avoid-version
 #libsnmp_bc_la_LDFLAGS = -module -avoid-version
 
 # Note same rules and files are generated in the t sub-directory - Make sure
Index: plugins/sysfs/Makefile.am
===================================================================
--- plugins/sysfs/Makefile.am.orig	2008-03-04 22:04:00.000000000 +0100
+++ plugins/sysfs/Makefile.am	2008-04-03 15:04:49.040786013 +0200
@@ -40,4 +40,4 @@ pkglib_LTLIBRARIES		= libsysfs2hpi.la
 
 libsysfs2hpi_la_SOURCES	= sysfs2hpi.c 
 libsysfs2hpi_la_LIBADD	= -lsysfs -luuid $(top_builddir)/utils/libopenhpiutils.la
-libsysfs2hpi_la_LDFLAGS	= -module -version-info @HPI_LIB_VERSION@
+libsysfs2hpi_la_LDFLAGS	= -module -avoid-version
Index: plugins/watchdog/Makefile.am
===================================================================
--- plugins/watchdog/Makefile.am.orig	2008-03-04 22:03:27.000000000 +0100
+++ plugins/watchdog/Makefile.am	2008-04-03 15:04:54.853135130 +0200
@@ -40,4 +40,4 @@ pkglib_LTLIBRARIES	= libwatchdog.la
 
 libwatchdog_la_SOURCES  = watchdog.c
 libwatchdog_la_LIBADD   = -luuid $(top_builddir)/utils/libopenhpiutils.la
-libwatchdog_la_LDFLAGS  = -module -version-info @HPI_LIB_VERSION@
+libwatchdog_la_LDFLAGS  = -module -avoid-version
